// 将路由规则 routes 导出
export const routes = [
    // 全局路由(无需嵌套上左右整体布局)
    {
        path: '/',
        name: 'Login',
        component: () => import("../view/Login.vue")
    },
    {
        path: '/test',
        name: '全局测试页面',
        component: () => import("../view/Test.vue"),
    },
    // 管理端
    {
        path: '/manage',
        component: () => import("../layout/ManageLayout.vue"),
        children: [
            // 首页
            {
                path: '/index',
                name: '首页',
                component: () => import("../view/Index.vue"),
            },
            {
                path: '/localCurriculum',
                name: '本地课程',
                component: () => import("../view/course/localCurriculum.vue"),
            },
            {
                path: '/linkedCourse',
                name: '链接课程',
                component: () => import("../view/course/linkedCourse.vue"),
            },
            {
                path: '/workList',
                name: '工作列表',
                component: () => import("../view/work/workList.vue"),
            },
            {
                path: '/workDetail',
                name: '工作详情',
                component: () => import("../view/work/workDetail.vue"),
            },
            {
                path: '/community',
                name: '社群',
                component: () => import("../view/community/community.vue"),
            },
            {
                path: '/userList',
                name: '用户列表',
                component: () => import("../view/userList/userList.vue"),
            },
            {
                path: '/project',
                name: '项目管理',
                component: () => import("../view/project/project.vue"),
            },
            {
                path: '/projectDetail',
                name: '项目详情',
                component: () => import("../view/project/projectDetail.vue"),
            },
            {
                path: '/addProject',
                name: '新增项目',
                component: () => import("../view/project/addProject.vue"),
            },
            {
                path: '/moneyDetail',
                name: '项目明细',
                component: () => import("../view/project/moneyDetail.vue"),
            },
            {
                path: '/projectNotice',
                name: '项目通知',
                component: () => import("../view/project/projectNotice.vue"),
            },
            {
                path: '/promotionCode',
                name: '推广码',
                component: () => import("../view/project/promotionCode.vue"),
            },
            {
                path: '/applicationRecord',
                name: '推广码记录',
                component: () => import("../view/settlement/applicationRecord.vue"),
            },
            {
                path: '/addprojectNotice',
                name: '新增项目通知',
                component: () => import("../view/project/addprojectNotice.vue"),
            },
            {
                path: '/moneyRecord',
                name: '项目结算记录',
                component: () => import("../view/settlement/moneyRecord.vue"),
            },
            {
                path: '/noticeDetail',
                name: '项目通知详情',
                component: () => import("../view/project/noticeDetail.vue"),
            },
            {
                path: '/withdrawalApplicationRecord',
                name: '提现申请记录',
                component: () => import("../view/settlement/withdrawalApplicationRecord.vue"),
            }
        ]
    },
]